# PSF-LoginServer - master - net.psforever.objects.Telepad
PSF - LoginServer - master - net.psforever.objects.Telepad
Keywords: PSF LoginServer master net.psforever.objects.Telepad

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# Telepad 

###
Companion object Telepad

#### class Telepad extends ConstructionItem with TelepadLike

Source
  Telepad.scala

Linear Supertypes
TelepadLike, ConstructionItem, FireModeSwitch[ConstructionFireMode], Equipment, BlockMapEntity, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Telepad
2. TelepadLike
3. ConstructionItem
4. FireModeSwitch
5. Equipment
6. BlockMapEntity
7. FactionAffinity
8. PlanetSideGameObject
9. WorldEntity
10. IdentifiableEntity
11. Identifiable
12. AnyRef
13. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Telepad(cdef: ConstructionItemDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Active: Boolean
   Definition Classes
     TelepadLike
5.  def Active_=(state: Boolean): Boolean
   Definition Classes
     TelepadLike
6.  def AmmoType: ce.DeployedItem.Value
   Definition Classes
     ConstructionItem
7.  def AmmoTypeIndex: Int
   Definition Classes
     ConstructionItem
8.  def AmmoTypeIndex_=(index: Int): Int
   Definition Classes
     ConstructionItem
9.  def Definition: ConstructionItemDefinition
   Definition Classes
     ConstructionItem → Equipment → PlanetSideGameObject
10.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
11.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
12.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
13.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
14.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Equipment → FactionAffinity
15.  def Faction_=(fact: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Equipment → FactionAffinity
16.  def FireMode: ConstructionFireMode
    Definition Classes
      ConstructionItem → FireModeSwitch
17.  def FireModeIndex: Int
    Definition Classes
      ConstructionItem → FireModeSwitch
18.  def FireModeIndex_=(index: Int): Int
    Definition Classes
      ConstructionItem → FireModeSwitch
19.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
20.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
21.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

22.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
23.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
24.  def ModePermissions: Set[Certification]
    Definition Classes
      ConstructionItem
25.  def NextAmmoType: ce.DeployedItem.Value
    Definition Classes
      ConstructionItem
26.  def NextFireMode: ConstructionFireMode
    Definition Classes
      ConstructionItem → FireModeSwitch
27.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
28.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
29.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
30.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
31.  def Router: Option[PlanetSideGUID]
    Definition Classes
      TelepadLike
32.  def Router_=(rguid: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      TelepadLike
33.  def Router_=(rguid: PlanetSideGUID): Option[PlanetSideGUID]
    Definition Classes
      TelepadLike
34.  def Size: equipment.EquipmentSize.Value
    Definition Classes
      Equipment
35.  def Tile: InventoryTile
    Definition Classes
      Equipment
36.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
37.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
38.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
39.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
40.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
41.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
42.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
43.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
44.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
45.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
46.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
47.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
48.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
49.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
50.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
51.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
52.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
53.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
54.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
55.  def resetAmmoTypes(): Unit
    Definition Classes
      ConstructionItem
56.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
57.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
58.  def toString(): String
    Definition Classes
      Equipment → AnyRef → Any
59.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
60.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
61.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
62.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from TelepadLike

### Inherited from ConstructionItem

### Inherited from FireModeSwitch[ConstructionFireMode]

### Inherited from Equipment

### Inherited from BlockMapEntity

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped